#  Copyright 2019-2021  Dom Sekotill <dom.sekotill@kodo.org.uk>
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

"""
Constants for the various client modules and classes
"""

# Commands

COMMAND_PING = "PING"
COMMAND_ATTACH = "ATTACH"
COMMAND_DETACH = "DETACH"
COMMAND_IFNAME = "IFNAME"
COMMAND_INTERFACES = "INTERFACES"
COMMAND_INTERFACE_ADD = "INTERFACE_ADD"
COMMAND_INTERFACE_REMOVE = "INTERFACE_REMOVE"
COMMAND_SCAN = "SCAN"
COMMAND_BSS = "BSS"
COMMAND_ADD_NETWORK = "ADD_NETWORK"
COMMAND_REMOVE_NETWORK = "REMOVE_NETWORK"
COMMAND_SET_NETWORK = "SET_NETWORK"
COMMAND_GET_NETWORK = "GET_NETWORK"
COMMAND_ENABLE_NETWORK = "ENABLE_NETWORK"
COMMAND_DISABLE_NETWORK = "DISABLE_NETWORK"


# Common separators

SEPARATOR_SPACE = " "
SEPARATOR_TAB = "\t"


# Unvalued and failure responses

RESPONSE_OK = "OK"
RESPONSE_PONG = "PONG"
RESPONSE_FAIL = "FAIL"
RESPONSE_UNKNOWN_COMMAND = "UNKNOWN COMMAND"


# Control messages

CTRL_EVENT_SCAN_RESULTS = "CTRL-EVENT-SCAN-RESULTS"


__all__ = (
	'COMMAND_PING',
	'COMMAND_ATTACH',
	'COMMAND_DETACH',
	'COMMAND_IFNAME',
	'COMMAND_INTERFACES',
	'COMMAND_INTERFACE_ADD',
	'COMMAND_INTERFACE_REMOVE',
	'COMMAND_SCAN',
	'COMMAND_BSS',
	'COMMAND_ADD_NETWORK',
	'COMMAND_REMOVE_NETWORK',
	'COMMAND_SET_NETWORK',
	'COMMAND_GET_NETWORK',
	'COMMAND_ENABLE_NETWORK',
	'COMMAND_DISABLE_NETWORK',

	'SEPARATOR_SPACE',
	'SEPARATOR_TAB',

	'RESPONSE_OK',
	'RESPONSE_PONG',
	'RESPONSE_FAIL',
	'RESPONSE_UNKNOWN_COMMAND',

	'CTRL_EVENT_SCAN_RESULTS',
)
